[ann] Java 8 required to build GeckoView and Firefox for Android (and consumers like Focus, Fire TV, etc)

Nicholas Alexander nalexander at mozilla.com
Mon Sep 17 16:42:21 UTC 2018


Hi folks,

Over in Bug 1485439 [1], JanH moved mozilla-central to using Java 8.
However, that requires downstream consumers -- including Focus and
presumably various Fire TV-type Apps -- to also use Java 8.  Java 8 is
standard in the Android ecosystem (for example, Google's toolchains have
required Java 8 for A Long Time) but it can still lead to cryptic error
messages at build time [2] (which I haven't witnessed personally, but I
expect will look like `java.lang.UnsupportedClassVersionError: Unsupported
major.minor version XY.Z`).

People involved in potentially impacted projects (Focus, Fire TV,
android-components) could you make sure this gets to the right mailing
lists?

Thanks,
Nick

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=1485439
[2] https://bugzilla.mozilla.org/show_bug.cgi?id=1485439#c8
[3] https://stackoverflow.com/q/10382929
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.mozilla.org/pipermail/mobile-firefox-dev/attachments/20180917/ebb566b4/attachment.html>


More information about the mobile-firefox-dev mailing list